<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Proctor Valley Road</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Proctor-Valley-Road-3/digital-comic/941030</Web>
  <Summary>The girls are supposed to stay out of trouble... and away from the haunted stretch of Proctor Valley Road. But a stolen police car leads to the return of the Proctor Valley Bull and more danger than anyone could imagine...

* As the town -- and even their families -- closes in on the girls, August makes a choice to visit that haunted road one last time.

* And even if she survives, an even greater threat may have its eyes on these four friends...</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB941030], [ASINB093KST47V]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Horror, Science Fiction</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
